#!/bin/sh
DIALOG=${DIALOG-dialog}

$DIALOG --timeout 20 --title "YES/NO BOX" \
        --yesno "Hi, this is a yes/no dialog box. You can use this to ask \
questions that have an answer of either yes or no. \
BTW, do you notice that long lines will be automatically \
wrapped around so that they can fit in the box? You can \
also control line breaking explicitly by inserting \
'backslash n' at any place you like, but in this case, \
auto wrap around will be disabled and you will have to \
control line breaking yourself." 0 0

case $? in
  0)
    echo "Yes chosen.";;
  1)
    echo "No chosen.";;
  255)
    echo "Box closed.";;
esac
